Bug 1292894 - Laptop sporadically fails to suspend, stuck in half-way state [NEEDINFO]
Laptop sporadically fails to suspend, stuck in half-way state
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 11:30 EST by Brian Cottingham
Modified: 2016-10-26 12:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:58:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (spiffytech)


Attachments (Terms of Use)
journalctl (14.61 KB, text/plain)
2015-12-18 11:30 EST, Brian Cottingham
no flags Details

  None (edit)
Description Brian Cottingham 2015-12-18 11:30:17 EST
Created attachment 1107221 [details]
journalctl

Description of problem:
Laptop won't suspend. Screen shuts off, processes stop, journalctl reports attempting to suspend, but the laptop never (even over hours) actually shuts down. The fan keeps blowing hard, and the power light blinks rapidly. The computer doesn't respond to any input. I am forced to hard shut-down by holding the power button.

This problem never occurred until I switched from Debian Jessie to Fedora, so it's probably not a hardware problem.


Version-Release number of selected component (if applicable):
Fedora 23

How reproducible:
Sporadic. No discernible trigger - no pattern in running applications, et.

Steps to Reproduce:
1. Try a lot (maybe 1/4 times under normal use. Not reproducible through rapid succession of suspend attempts.)
2. Eventually it'll happen
3.

Actual results:
Laptop suspends

Expected results:
Laptop runs forever in not-quite-halted mode

Additional info:
journalctl output from around the
Comment 1 Ondrej Vasik 2015-12-19 12:55:19 EST
Thanks for report, basesystem is wrong component, I'll switch it to kernel, as this is likely the culprit. However, please provide at least the type of laptop. Alternatively, ask the community on the forum ( http://fedoraforum.org/ ), as there are probably more users of similar laptop with similar issue.
Comment 2 Brian Cottingham 2015-12-19 16:25:24 EST
Lenovo Thinkpad W540, Intel Core i7 4700MQ


$lspci

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller (rev 06)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller (rev 06)
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)
00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I217-LM (rev 04)
00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d4)
00:1c.1 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #2 (rev d4)
00:1c.2 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #3 (rev d4)
00:1c.4 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #5 (rev d4)
00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM87 Express LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GK107GLM [Quadro K1100M] (rev a1)
02:00.0 SD Host controller: O2 Micro, Inc. SD/MMC Card Reader Controller (rev 01)
03:00.0 Network controller: Intel Corporation Wireless 7260 (rev 83)
Comment 3 Laura Abbott 2016-09-23 15:51:43 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2016-10-26 12:58:19 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.